%%\iffalse meta-comment
%%



% $Id: sifrev.cls,v 1.94 2016/01/22 10:33:47 marco Exp $



%% Author: Matteo Centonza & Marco Bellacosa
%% $Source: /var/local/devel/macro/sifrev/sifrev.cls,v $
%% Version: $Revision: 1.94 $
%% Last-Change: $Date: 2016/01/22 10:33:47 $
%% Project-start: 2000-10-14
%% Copyleft: 2000-2005 Matteo Centonza
%% Copyleft: 2005-     Marco Bellacosa
%% 
%% This file is sifrev.cls, a LaTeX2e class for Italian Physical Society
%% reviews 'Il Nuovo Saggiatore' and 'Giornale di Fisica'. 
%%
%% IMPORTANT NOTICE:
%% This macro set is free software, so feel free to modify things. Given
%% that, the only clause is  to use a different name after modification.
%%
%%
%% For bugs, comments, suggestions email to:
%%                         marco@sif.it
%%
%%\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}[1995/06/01]
\ProvidesClass{sifrev}[2002/03/26 LaTeX2e class for SIF reviews:^^J'Giornale di Fisica'^^J'Il Nuovo Saggiatore'^^J'Quaderni di Storia della Fisica'^^Jsee enclosed documentation for further details.]
%% \CheckSum{1439}
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@sect@first\@sect@firsttrue
\newif\if@lang@en\@lang@enfalse
\newif\if@xpandh@@d\@xpandh@@dfalse
\newif\if@w@rkshop\@w@rkshopfalse
\newif\ifgl@ssfirst\gl@ssfirstfalse
\newif\ifgl@ssary\gl@ssaryfalse
\newif\if@isst@r@\@isst@r@false
\newif\if@@bypassrefs@@
\newif\if@rratum\@rratumfalse
\newif\if@test@\@test@false
\newif\ifn@cite\n@citefalse
\newif\ifc@mments\c@mmentstrue
\newif\ifinf@\inf@false
\newif\if@ch@ckauth\@ch@ckauthtrue
\newif\if@ch@cktitl\@ch@cktitltrue
\newif\ifdebug\debugfalse
\newif\ifnsag\nsagfalse
\newif\ifgdf\gdffalse
\newif\ifgdf@req\gdf@reqfalse
\newif\ifquaderni\quadernifalse
\newif\ifreferee\refereefalse
\newif\iftharg\thargfalse
\newif\ifn@babel\n@babelfalse
\newif\if@verfull\@verfullfalse
\newif\if@prel@\@prel@false
\newif\ift@c\t@cfalse
\newif\ifv@lindex\v@lindexfalse
\newif\ifbr@nch\br@nchfalse
\newif\ifn@file\n@filefalse
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\ifv@lfirst@ntry\v@lfirst@ntryfalse
\newif\ifistbl\istblfalse
\newif\ifflteqn\flteqnfalse
\newif\ifrul@d\rul@dfalse
\newif\ifnov@ids@ct\nov@ids@cttrue
\newif\ifnov@idc@pt\nov@idc@pttrue
\newif\ifaut@etc\aut@etcfalse
\newif\iftit@etc\tit@etcfalse
\newif\if@bib@\@bib@false
\newif\if@glos@\@glos@false
\newif\ifs@@rch\s@@rchfalse
\newif\if@gdfs@ctstar\@gdfs@ctstarfalse
\newif\ifpret@cs@ct\pret@cs@ctfalse
\newif\ift@cfirst@ntry\t@cfirst@ntryfalse
\newif\ift@c@@E@@\t@c@@E@@true
\newif\ift@c@@A@@\t@c@@A@@true
\newif\ift@c@@P@@\t@c@@P@@true
\newif\ift@c@@Os@@\t@c@@Os@@true
\newif\ift@c@@B@@\t@c@@B@@true
\newif\ift@c@@C@@\t@c@@C@@true
\newif\ift@c@@I@@\t@c@@I@@true
\newif\ift@c@@G@@\t@c@@G@@true
\newif\ift@c@@O@@\t@c@@O@@true
\newif\ift@c@@W@@\t@c@@O@@true
\newif\ift@c@@Ed@@\t@c@@Ed@@true
\newif\ift@c@@Os@@\t@c@@Os@@true
\newif\ift@c@@QSF@@\t@c@@QSF@@true
\global\newif\ifg@tinst\g@tinstfalse
\newif\ifapp@ndix\app@ndixfalse
\newif\if@@another@@\@@another@@false
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\DeclareOption{english}{\@lang@entrue}
\DeclareOption{glossary}{\gl@ssarytrue}
\DeclareOption{debug}{\debugtrue}
\DeclareOption{nsag}{\nsagtrue}
\DeclareOption{gdf}{\gdftrue\gdf@reqtrue\@w@rkshoptrue}
\DeclareOption{quaderni}{\quadernitrue\gdftrue\@w@rkshoptrue}
\DeclareOption{qsf}{\quadernitrue\gdftrue}
\DeclareOption{nobabel}{\n@babeltrue}
\DeclareOption{referee}{\refereetrue}
\DeclareOption{info}{\inf@true}
\DeclareOption{prel}{\@prel@true\n@filetrue}
\DeclareOption{overfull}{\@verfulltrue}
\DeclareOption{toc}{\t@ctrue\n@filetrue}
\DeclareOption{volindex}{\v@lindextrue}
\DeclareOption{branch}{\br@nchtrue}
\DeclareOption{noaic}{\n@filetrue}
\DeclareOption*{\OptionNotUsed
\ClassWarningNoLine{SIFrev}
    {Option \CurrentOption\space not implemented}}
\ProcessOptions\relax
\ifnsag
   \ifgdf
      \ClassError{SIFrev}
		 {Found incompatible options 'gdf' and 'nsag'.
\MessageBreak *****************************************************
\MessageBreak ******Defaulting to 'gdf' (Giornale di Fisica)*******
\MessageBreak *****************************************************}
		 {You have chosen two mutually exclusive options (what journal to default to?).
\MessageBreak Please choose between one of them.}
      \gdftrue\nsagfalse
      \def\@rev{Giornale di Fisica}
   \else
      \typeout{Executing class with option 'nsag' ('Nuovo Saggiatore')}
      \def\@rev{Il Nuovo Saggiatore}
   \fi
\else
   \ifquaderni
      \typeout{Executing class with option 'quaderni' ('Quaderni di Storia della Fisica')}
      \def\@rev{Quaderni di Storia della Fisica}
   \else
   \gdftrue
      \typeout{Executing class with\ifgdf@req\else\space **default**\fi\space option 'gdf' ('Giornale di Fisica')}
      \def\@rev{Giornale di Fisica}
   \fi
\fi
\ifn@cite\else\RequirePackage{cite}\fi
\ifn@babel\else\if@lang@en\RequirePackage[english]{babel}\else\RequirePackage[italian]{babel}\fi\fi
\ifgl@ssary
  \AtEndOfClass{%
   \RequirePackage[ps2pdf]{hyperref}
%   \global\newif\ifhy@pageanchor\hy@pageanchortrue
%    \def\@begindvi{%
%      \unvbox \@begindvibox
%      \ifhy@pageanchor
%      \@hyperfixhead
%      \global\let \@begindvi \@hyperfixhead
%      \else
%      \global\let \@begindvi \@empty
%      \fi
%    }
    \makeglossary
  }
\fi
\RequirePackage{ifthen}
\RequirePackage{graphicx}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                     Setting default layout			        %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\sloppy
\setlength\oddsidemargin{0\p@}
\setlength\evensidemargin{0\p@}
\setlength\headheight{10\p@}
\setlength\headsep{30\p@}
\setlength\footnotesep{0\p@}
%
% teti 2001-04-11 disabilitati per controllare i pdf distillati
%
%\setlength\voffset{-0.7cm}
%\setlength\hoffset{-0.4cm}
\setlength\columnsep{5mm}
\setlength\marginparsep{12\p@}
\setlength\marginparwidth{48\p@}
\setlength\paperheight{260mm}
\setlength\paperwidth{186mm}
\setlength\parindent{16\p@}
\@twosidetrue
\@twocolumntrue
\setlength\topskip{10\p@}
\setlength\maxdepth{2.5\p@}
\setlength\columnwidth{61mm}
\setlength\textwidth{130mm}
\setlength\hsize{130mm}
\setlength\baselineskip{13\p@}
\setlength\textheight{43\baselineskip}
\addtolength\textheight{\topskip}
%\setlength\textheight{200mm}
\setlength\fboxrule{0.3\p@}
\setlength\arrayrulewidth{.5\p@}
\setlength\labelsep{5\p@}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% Font
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\font \@ttocfont cmss17 scaled \magstep 5
\font \@qtocfont cmss17 scaled \magstep 4
\font \@qqtocfont cmss17 scaled \magstep 2
\font \@spectocfont cmss9 scaled \magstep 2
\font \@qspectocfont cmss10 scaled \magstep 2
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\ttocfont{\@ttocfont}
\newcommand\qtocfont{\@qtocfont}
\newcommand\qqtocfont{\@qqtocfont}
\newcommand\spectocfont{\@spectocfont}
\newcommand\qspectocfont{\@qspectocfont}
\newcommand\volbannerfont{\sffamily\bfseries\fontsize{17.28\p@}{17.28\p@}\selectfont}
\newcommand\volheadfont{\sffamily\bfseries\fontsize{14.4\p@}{14.4\p@}\selectfont}
\newcommand\volheadfontsmall{\sffamily\fontsize{11\p@}{11\p@}\selectfont}
\newcommand\tocnamefont{\sffamily\fontsize{14.4\p@}{15\p@}\selectfont}
\newcommand\boxbranchfont{\sffamily\fontsize{11\p@}{11\p@}\selectfont}
\newcommand\branchfont{\sffamily\bfseries\fontsize{14\p@}{14\p@}\selectfont}
\newcommand\titlefont{\sffamily\bfseries\fontsize{12\p@}{13\p@}\selectfont}
\newcommand\headsize{\fontsize{9\p@}{9\p@}\selectfont}
\newcommand\authorsize{\fontsize{10\p@}{13\p@}\selectfont}
\newcommand\instsize{\fontsize{10\p@}{13\p@}\selectfont}
\renewcommand\normalsize{\fontsize{10.4\p@}{\baselineskip}\selectfont}
\newcommand\footnotesize{\fontsize{8\p@}{10\p@}\selectfont}
\newcommand\captionsize{\fontsize{8\p@}{9\p@}\selectfont}
\newcommand\tablesize{\fontsize{9\p@}{10\p@}\selectfont}
\newcommand\sectsize{\fontsize{10.4\p@}{13\p@}\selectfont}
\newcommand\subsectsize{\fontsize{9\p@}{12\p@}\selectfont}
\newcommand\subsubsectsize{\fontsize{9\p@}{12\p@}\selectfont}
\newcommand\bibsize{\fontsize{8\p@}{10\p@}\selectfont}
\newcommand\wrapcol{\linebreak\newpage\noindent}
\newcommand\small{\fontsize{9\p@}{12\p@}\selectfont}
\newcommand\tiny{\@setfontsize\tiny\@vipt\@viipt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Times Declaration 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\renewcommand{\sfdefault}{phv}
%\renewcommand{\rmdefault}{ptm}
%\renewcommand{\ttdefault}{pcr}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Glue
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newdimen\bibindent
\newlength\pres@ctskip
\newlength\posts@ctskip
\newlength\dedic@skip
\newlength\bareoptskip
\newlength\@runh@@d
\newlength\@toc@vol@
\newlength\lbrdskip
\newlength\elbrdskip
\newlength\tocspann
\newlength\t@@length
\newlength\optskip
\newlength\h@@db@x
\newlength\@bib@skip
\newlength\@glos@skip
\newlength\@bibit@mskip
\newlength\@switch@s@ct
\newlength\@switch@ss@ct
\newlength{\headskip}
\newlength{\@qnskip}
\newlength{\branchskip}
\newlength{\titleskip}
\newlength{\authorskip}
\newlength{\instituteskip}
\newlength\indexitem@skip
\newlength\issuedataskip
\setlength\headskip{24\p@ \@plus 6\p@ \@minus 13\p@}
\setlength\branchskip{24\p@ \@plus 6\p@ \@minus 13\p@}
\setlength\titleskip{18\p@ \@plus 6\p@ \@minus 4\p@}
\setlength\authorskip{8\p@ \@plus 8\p@ \@minus 0\p@}
\setlength\instituteskip{10\p@ \@plus 6\p@ \@minus 2\p@}
\setlength\optskip{13\p@ \@plus 26\p@ \@minus 13\p@}
\setlength{\skip\footins}{30\p@  \@plus 15\p@ \@minus 4\p@}
\setlength{\skip\@mpfootins}{10\p@  \@plus 4\p@ \@minus 4\p@}
\setlength\bibindent{15em}
\setlength\@runh@@d{\textwidth}
\addtolength\@runh@@d{-20pt}
\setlength\h@@db@x{143\p@}
\setlength\@bib@skip{91\p@ \@plus 6\p@ \@minus 13\p@}
\setlength\@glos@skip{30\p@ \@plus 6\p@ \@minus 6\p@}
\setlength\@bibit@mskip{39\p@ \@plus 61\p@ \@minus 13\p@}
\setlength\tocspann{38\p@}
\setlength\@toc@vol@{13\p@ \@plus 3\p@ \@minus 10\p@}
\setlength\indexitem@skip{8\p@ \@plus 3\p@ \@minus 3\p@}
\setlength\issuedataskip{13\p@ \@plus 13\p@ \@minus 6\p@}
\setlength\dedic@skip{8\p@ \@plus 5\p@ \@minus 6\p@}
\setlength\pres@ctskip{-21dd plus-13pt minus-13pt}
\setlength\posts@ctskip{2\p@ \@plus 1\p@ \@minus 1\p@}
\ifquaderni\addtolength\tocspann{-3pt}\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Skip
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newskip\eqnllb@rder
\newskip\eqnrlb@rder
\eqnllb@rder = 3\p@ \@plus 1000\p@ \@minus 0\p@
\eqnrlb@rder = 0\p@ \@plus 100\p@ \@minus 0\p@
%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Initialization
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                           Dirty Tricks                            %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcounter{@rgfootnote}
\newcounter{@initpage}
\newcounter{tmp@dim}
\newcounter{loop@idx}
\newcount\num@inst
\newcounter{tmp@inst}
\newcount\@author@num
\newcount\@hlinenum
\newcount\myp@ge
\newcount\l@@pch@ck
\newcount\@rg@num
\newbox\trunhe@d
\newbox\trunh@@db@x
\newbox\tabsth@@db@x
\newbox\tauthinsth@@db@x
\newbox\arunhe@d
\newbox\scratch@box
\newtoks\t@ks@@rch
\newtoks\titlet@k
\newtoks\autht@k
\newtoks\b@@kauthort@k
\newtoks\b@@ktitlet@k
\newtoks\b@@kreviewert@k
\newtoks\gloss@@wordt@k
\newwrite\@mainaic
\ifn@file
  \typeout{No auxiliary files produced.}
\else
  \immediate\openout\@mainaic\jobname.aic
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\global\def\Romannumeral{\bgroup\afterassignment\endroman\count255=}
\def\endroman{\uppercase\expandafter{\romannumeral\count255}\egroup}
%
\def\push#1#2{%
    \def\rmn@cnt{\roman{#1@num}}    
    \expandafter\protected@xdef\csname @#1@\rmn@cnt\endcsname{#2}%
}
%
\def\pick#1#2{%
    \expandafter\csname @#1@#2\endcsname}
\def\flush#1#2{%
    \setcounter{loop@idx}{0}
    \expandafter\setcounter{tmp@dim}{\csname the#1@num\endcsname}
    \stepcounter{tmp@dim}
    \loop
      \stepcounter{loop@idx}
      \ifnum\theloop@idx<\thetmp@dim
	\def\rmn@idx{\roman{loop@idx}}
        #2{\csname @#1@\rmn@idx\endcsname} 
    \repeat
}
\bgroup
\def\futurenonspacelet#1{\def\cs{#1}%
  \afterassignment\stepone\let\nexttoken= }
\def\\{\let\stoken= } \\ % now \stoken is a space token
\def\stepone{\expandafter\futurelet\cs\steptwo}
\def\steptwo{\expandafter\ifx\cs\stoken\let\next=\stepthree
  \else\let\next=\nexttoken\fi \next\egroup}
\def\stepthree{\afterassignment\stepone\let\next= }
\egroup
%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Lookup routine \l@@kup{what}{csname}
%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\l@@kup#1#2{%
\s@@rchfalse
\t@ks@@rch=\expandafter{#2}
  \def\atest##1{\expandafter\a\the##1#1\atest\a}%
  \long\def\a##1#1##2##3\a{\ifx\atest##2\s@@rchfalse\else\s@@rchtrue\fi}%
  \atest\t@ks@@rch
}
\let\ETC\
\def\split@rg#1#2{%
    \gdef\@rest{#1}
    \loop
    \ifnum\l@@pch@ck=0
    \@slaugh{\@rest}{#2}
    \repeat
}
\def\@slaugh#1#2{%
    \l@@kup{\and}{\@rest}
    \advance\@rg@num by 1
      \ifs@@rch
      \setbox\scratch@box=\vbox{\expandafter\get@rg#1@@@}
      \stepcounter{inst@num}
      \push{inst}{\g@t@rg}
      \else
      \ifnum\@rg@num=\@ne
      \stepcounter{inst@num}
      \push{inst}{#1}
      \global\l@@pch@ck=1
     \else
      \stepcounter{inst@num}
      \push{inst}{\@rest}
     \global\l@@pch@ck=1
      \fi
     \fi
}
\gdef\get@rg#1\and#2@@@{\gdef\g@t@rg{#1}
			   \gdef\@rest{#2}
}
%
% DB update
%
\InputIfFileExists{updatedb}{}{%
    \ClassInfo{sifrev}{No DB support}%
}
%
% SIF extensions
%
\InputIfFileExists{sif-extensions}{}{%
    \ClassInfo{sifrev}{No SIF extensions}%
}
\AtBeginDocument{
  \def\orgdivision#1{#1}
  \def\orgname#1{#1}
  \def\street#1{#1}
  \def\postcode#1{#1}
  \def\postbox#1{#1}
  \def\city#1{#1}
  \def\state#1{#1}
  \def\country#1{#1}
}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Initialization						   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\let\@abstract\@empty
\let\@riassunto\@empty
\let\d@i\@empty
\let\@eqspec\@empty
\let\@extbranch\@empty
\let\@reviewer\@empty
\let\@branch\@empty
\let\@title\@empty
\let\@author\@empty
\let\@vol\@empty
\let\inst\@empty
\let\auth@and\@empty
\let\t@c@pt\@empty
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Options
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\PassOptionsToPackage{leqno}{amsmath}
\ifdebug
     \setcounter{errorcontextlines}{99}
     \tracingmacros=2
\else
\hbadness=5000
\fi
\ifreferee
      \def\baselinestretch{2}
\fi
\def\ch@ckobl#1#2{\@ifundefined{@#1}
 {\typeout{SIFrev warning: Missing
\expandafter\string\csname#1\endcsname}%
  \csname #1\endcsname{#2}}
 {}}
\if@verfull\setlength{\overfullrule}{5pt}\fi
\def\@ythm#1#2[#3]{%
  \@opargbegintheorem{#2}{\csname the#1\endcsname}{#3}\ignorespaces}
\def\@xnthm#1#2[#3]{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}\@newctr{#1}[#3]%
     \expandafter\xdef\csname the#1\endcsname{%
       \expandafter\noexpand\csname the#3\endcsname \@thmcountersep
          \@thmcounter{#1}.}%
     \global\@namedef{#1}{\@thm{#1}{#2}}%
     \global\@namedef{end#1}{\@endtheorem}}}
\def\@ynthm#1#2{%
  \expandafter\@ifdefinable\csname #1\endcsname
    {\@definecounter{#1}%
     \expandafter\xdef\csname the#1\endcsname{\@thmcounter{#1}.}%
     \global\@namedef{#1}{\@thm{#1}{#2}}%
     \global\@namedef{end#1}{\@endtheorem}}}
\def\DOI#1{\gdef\d@i{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%
%%%%%%%%%%%%      T   O   C
%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\atque{\unskip { \rm e} \ignorespaces}
\newcommand\editors{\unskip\ (Editors) \ignorespaces}
\newcommand\editor{\unskip\ (Editor) \ignorespaces}
\newcommand\exted{\mbox{\rm\unskip (Editor) \ignorespaces}}
\newcommand\exteds{\mbox{\rm\unskip (Editors) \ignorespaces}}

\ift@c
	\renewcommand\and{\mbox{\rm e\ }\ignorespaces}

	\@twocolumnfalse
	\textwidth13.6cm
	\headsep\z@
	\headheight\z@
        \thispagestyle{empty}
\fi
\ifv@lindex
	\renewcommand\and{\mbox{\rm e\ }\ignorespaces}

	\@twocolumnfalse
	
	\def\set@vol@sist@@{%
	   	\def\@runtitle{Indice per fascicoli}
		\global\let\@runauthor\@runtitle
	}

        \def\set@vol@branch@@{%
                \def\@runtitle{Indice delle rubriche}
                \global\let\@runauthor\@runtitle
        }
	
        \def\set@vol@alpha@@{%
                \def\@runtitle{Indice per autori}
                \global\let\@runauthor\@runtitle
		\global\v@lfirst@ntrytrue
        }

	\def\@vol@sist@@{%
	{\noindent\volbannerfont INDICI DEL VOLUME~\rmvol~(\@year)}\\[36pt]
            INDICE SISTEMATICO PER NUMERI SUCCESSIVI}
	\def\@vol@branch@@{%
	    INDICE DELLE RUBRICHE DEL VOLUME~\rmvol~(\@year)}
	\def\@vol@alpha@@{%
	    INDICE PER AUTORI}
	\def\volindexbanner{%
		\pagestyle{empty}
		\thispagestyle{empty}
		{\noindent\volbannerfont INDICI DEL VOLUME~\rmvol~(\@year)}%
		\global\autht@k={INDICI DEL VOLUME}
		\w@@@teaic
		\par
        }
	\def\volhead#1{%
	        \clearpage\if@twoside \ifodd\c@page\else
		\hbox{}\thispagestyle{empty}\newpage\if@twocolumn\hbox{}\newpage\fi\fi\fi
		\thispagestyle{empty}
		 \pagestyle{plaingdf}
		{\noindent\volheadfontsmall \csname @vol@#1@@\endcsname\par}%
		 \csname set@vol@#1@@\endcsname
	        \vskip\headskip
		\global\t@c@@E@@true
		\global\t@c@@A@@true
		\global\t@c@@P@@true
		\global\t@c@@Os@@true
		\global\t@c@@B@@true
		\global\t@c@@C@@true
		\global\t@c@@G@@true
		\global\t@c@@O@@true
                \global\t@c@@Os@@true
		\global\pret@cs@cttrue
	}
	\def\issuedata#1#2{%
		\vskip\issuedataskip\par
		{\noindent\headsize N.~#1 #2 \@year\par\nopagebreak}
		\global\t@c@@E@@true
		\global\t@c@@A@@true
		\global\t@c@@P@@true
		\global\t@c@@Os@@true
		\global\t@c@@B@@true
		\global\t@c@@C@@true
		\global\t@c@@I@@true
		\global\t@c@@G@@true
		\global\t@c@@O@@true
                \global\t@c@@Os@@true
		\global\pret@cs@cttrue
	}
	
	\def\indexitem#1#2#3#4{%
		\setlength\elbrdskip{\tocspann}
	        \leftskip\elbrdskip
		\vskip\indexitem@skip
		\bgroup\headsize
       	        \noindent
	        \llap{\hbox to \tocspann{%
	        \ifv@lfirst@ntry pag.
                \else\hbox to 14pt{\hfill#2}\fi\hfill}}%
	        \unskip\noindent
	        {\it#3}\nopagebreak\par
	           \ifv@lfirst@ntry
	           \noindent\llap{\hbox to \tocspann{\hbox to 14pt{\hfill#2}}}
	           \fi\noindent\unskip
	           #4~(#1).\vskip2pt
		\egroup
		\nopagebreak\par\vskip2pt
	        \v@lfirst@ntryfalse
	}
	\def\indexitemref#1#2#3#4{%
                \setlength\elbrdskip{\tocspann}
                \leftskip\elbrdskip
		\vskip\indexitem@skip
                \bgroup\headsize
                \noindent
                \llap{\hbox to \tocspann{%
                \ifv@lfirst@ntry pag.
                 \else\hbox to 14pt{\hfill#2}\fi\hfill}}%
                \unskip\noindent
                {\it#3}\nopagebreak\par
                   \ift@cfirst@ntry
                   \noindent\llap{\hbox to \tocspann{\hbox to 14pt{\hfill#2}}}
                   \fi\noindent\unskip
                   (vedi #4)~(#1).\vskip2pt
                \egroup
                \par\vskip2pt
                \v@lfirst@ntryfalse
                \leftskip0pt
        }

			
\fi

        
\def\tocsect#1{%
    \def\qtbranch{#1}
    \leftskip\tocspann%
    \vskip6pt%
    \ifpret@cs@ct\t@cfirst@ntrytrue\pret@cs@ctfalse\fi
    \gdef\QSF{QSF}
    \ifx\QSF\qtbranch
    \else
      \branch{#1}
      \bgroup\sffamily
         \noindent
         \llap{\hbox to \tocspann{\fbox{\hbox to 12\p@{\hfill\boxbranchfont\@branch\hfill}}}}%
         \noindent\@extbranch\nopagebreak\par
      \egroup\vskip6pt\leftskip0pt
    \fi
}

\def\tocbare#1#2#3#4{%
    \def\C{C}
    \def\X{X}
    \def\ndarg{#2}
    \par
    \ifquaderni
      \setlength\t@@length{\elbrdskip}
      \addtolength\t@@length{-\tocspann}
      \leftskip\t@@length
      \ifx\C\ndarg
	\vskip20pt
	\bgroup
	  \headsize In copertina: #1
	\egroup
        \nopagebreak\par\leftskip0pt
      \fi
    \else
      \ifx\X\ndarg
      \else
      	\@switcht@cs@ct{#2}
      \fi
      \leftskip\tocspann
      \bgroup
        \vskip\bareoptskip
        \noindent\headsize #1
      \egroup
      \par\leftskip0pt
    \fi
}

\gdef\@setfalse#1{%
    \global\csname#1false\endcsname
}

\gdef\@switcht@cs@ct#1{%
    \csname ift@c@@#1@@\endcsname
      \tocsect{#1}
      \@setfalse{t@c@@#1@@}
    \fi
}

\def\tocopt#1{\gdef\t@c@pt{#1}}

\def\tocentry#1#2#3#4#5#6{%
    \renewcommand\and{\mbox{\rm e\ }\ignorespaces}

    \let\try=I
    \@switcht@cs@ct{#3}
    \setlength\elbrdskip{\tocspann}
    \ifquaderni\setlength\elbrdskip{4.5cm}\fi
    \leftskip\elbrdskip
    \let\anthology\@gobble
    \let\erratum\@gobble
    \let\thanks\@gobble
    \let\footnote\@gobble
    \def\\{\unskip\ \ignorespaces}
    \let\inst\@gobble
    \ifx#3\try\vskip\@toc@vol@\fi	
    \bgroup\headsize
      \noindent
      \llap{\hbox to \tocspann{%
      \ift@cfirst@ntry %pag.
% delete pag. at first toc entry 2007-08-29
       \hbox to 14pt{\hfill#4}
        \else
        \hbox to 14pt{\hfill#4}\fi
        \hfill}}%
        \unskip\noindent
	\ifx#3\try
	{\sffamily#5~\rmvol\par}
     	\vskip\@toc@vol@
	\else
        {\it#5}\nopagebreak\par
% delete pag. at first toc entry 2007-08-29           
           %\ift@cfirst@ntry
           %\noindent\llap{\hbox to \tocspann{\hbox to 14pt{\hfill#4}}}
           %\fi
           \noindent\unskip
           #6\vskip2pt
	\fi
    \egroup
    \par\vskip2pt
    \t@cfirst@ntryfalse
    \leftskip0pt
}

\def\bibtocentry#1#2#3#4#5#6#7{%
    \renewcommand\and{\mbox{\rm e\ }\ignorespaces}

    \@switcht@cs@ct{#3}
    \leftskip\tocspann
    \def\editor{\/ \mbox{\rm\unskip (Ed.) \ignorespaces}}
    \def\editors{\/ \mbox{\rm\unskip (Eds.) \ignorespaces}}
    \bgroup\headsize
      \noindent
      \llap{\hbox to\tocspann{%
      \hbox to 14pt{\hfill#4}\hfill}}
      \unskip\noindent
      {\it#5}\nopagebreak\par
      \noindent\unskip
      #6 (#7).\vskip2pt
    \egroup
    \par\vskip2pt
    \t@cfirst@ntryfalse
    \leftskip0pt
}	

\def\glosstocentry#1#2#3#4#5{%
    \@switcht@cs@ct{#3}
    \leftskip\tocspann
    \bgroup\headsize
      \noindent
      \llap{\hbox to\tocspann{%
      \hbox to 14pt{\hfill#4}\hfill}}
      \unskip\noindent
      #5\nopagebreak
    \egroup
    \par\vskip2pt
    \t@cfirst@ntryfalse
    \leftskip0pt
}	

\def\tochead{%
    \hbadness=10000
    \global\pret@cs@cttrue
    \setlength\lbrdskip{4.5cm}
    \ifquaderni\addtolength\lbrdskip{-1.5cm}\fi
    \leftskip\lbrdskip
    \noindent
    \ifquaderni
       \llap{\hbox to\lbrdskip{\qspectocfont numero~\@vol\hfill}}\par
    \else
       \llap{\hbox to\lbrdskip{\ttocfont\unskip\@issue\hfill}}%
    \fi
    {\ifquaderni\qtocfont\noindent Quaderni di\else\ttocfont GIORNALE\fi\hfill}\par
    \vskip13pt
    {\noindent\ifquaderni\qtocfont\hskip2pt Storia della Fisica\else\ttocfont\hskip2ptDI FISICA\fi\hfill}\par
    \leftskip0pt
    \parindent0pt
    \vskip8pt
    \ifquaderni
      {\qspectocfont anno \@year}
      \vskip4pt
    \else
      \ifgdf
        {\spectocfont\hbox to \textwidth{\hbox to \lbrdskip{vol.~\rmvol\hfill}\lower10pt\hbox{{\qqtocfont\hskip2pt della}}\hfill}\vskip-2pt\par
        \@month\vskip2pt\par
        \vskip-2pt\hbox to \textwidth{\hbox to \lbrdskip{\@year\hfill}{\qqtocfont\hskip2pt Societ\`a Italiana di Fisica\hfill}}}
        \vskip22pt \@plus 5\p@ \@minus 10\p@
      \fi
    \fi
    \rule{\textwidth}{0.4pt}
    \vskip22pt \@plus 5\p@ \@minus 10\p@
    \ifquaderni\leftskip\lbrdskip\fi
    {\tocnamefont\expandafter\MakeUppercase{\contentsname}}
    \vskip16pt\par
    \ifx\t@c@pt\@empty
    \else
	\t@c@pt\vskip10\p@
    \fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\if@prel@
	\def\gdfperson#1#2#3{%
                \noindent
		\llap{\hbox to4cm{\it #1\hfill}}#2\par\vskip-2pt
		\noindent{\footnotesize\it #3\hfill}
		\par\vskip3pt}
	\def\specit#1{\noindent\footnotesize\it #1}
	\def\secondcover#1{%
	       \null\vfill
	       \centering
               \hrule
               \vskip2pt
               {\tiny\copyright\ \@year, Societ\`a Italiana di Fisica, Propriet\`a letteraria riservata}
               \vskip2pt
               \hrule
	       \vskip6pt
               {\it\@rev\/},
	       \ifquaderni
	         N.~\@vol~-~\@year\par
	       \else 
		  Vol.~\rmvol, N.~\@issue~-~\@month{}\par
		  Associato all'Unione Stampa Periodica Italiana\par
	       \fi
	       \vspace*{-4pt}
	       \rule{1.8cm}{0.5pt}\par
	       \vspace*{4pt}
	       {\tiny Questo numero \`e stato prodotto e realizzato
		dall'ufficio editoriale del Giornale di Fisica, Bologna\par
		e stampato da Monograf S.r.l. - Bologna\par
	        nel mese di #1
	       \vskip8pt
               \hrule
	       \vskip2pt
	       Direttore Responsabile: 	LUISA CIFARELLI
	       \vskip2pt
	       \hrule
	       \vskip6pt
	       \ifquaderni
	       \else
	        Autorizzazione del Tribunale di Bologna 2651 del 19 Luglio 1956
	       \fi
	       }}
	\@twocolumnfalse
	\headsep\z@
	\headheight\z@
        \thispagestyle{empty}
        \fi
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% Footnotes, Comments and Info
%
\gdef\@makefntext#1{%
    \parindent=30\p@
    \noindent\hbox to 30\p@{\hfill{\@makefnmark\hskip4\p@}}#1
}
\def\sifrev@headerfnmark{%
   \ifcase\thefootnote
      \or{*}\or{*}{*}\or{*}{*}{*}\or
      {*}\protect\raisebox{-0.8ex}[0pt][0pt]{%
            \protect\makebox[0pt][c]{$\scriptstyle{*}$}%
         }{*}\or
      \protect\raisebox{-0.8ex}[0pt][0pt]{%
        \protect\makebox{$\scriptstyle{*}$}%
        \protect\raisebox{0.8ex}[0pt][0pt]{\protect\makebox[0pt][c]{$\scriptstyl
e{*}$}}%
        \protect\makebox{$\scriptstyle{*}$}%
      }%
   \fi
}
\def\thempfootnote{\@alph\c@mpfootnote}
\def\@makefnmark{%
	\hbox{ { (\@textsuperscript{\tiny\thefootnote})}}%
}
\newcommand{\vcomment}[1]{%
  \unskip
  \ifc@mments
    \marginpar{%
      \hrule height2pt
      \vspace*{4pt}
      {\raggedright\footnotesize\itshape #1\par}%
      \vspace*{4pt}
      \hrule height2pt
    }%
  \fi
}
\ifinf@
   \special{!
             userdict begin
           /bop-hook{gsave
             460 450 translate
           /Times-Roman findfont 10 scalefont setfont      
           0 0 moveto
           0.3 setgray
           (\number\year-\number\month-\number\day)2 b
           90 rotate
           0.7 setgray
           /Times-Roman findfont 74 scalefont setfont      
           ()10 b(\jobname) show
           grestore} def end
           }
\else
    \let\vcomment\@gobble
\fi
\def\@bib@w@@@teaic{%
 \immediate\write\@mainaic{\string\bibtocentry{\@vol}{\@issue}{\@branch}{\thepage}{\the\b@@kauthort@k}{\the\b@@ktitlet@k}{\the\b@@kreviewert@k}}
}
\def\@gloss@w@@@teaic{%
  \immediate\write\@mainaic{\string\glosstocentry{\@vol}{\@issue}{\@branch}{\thepage}{\the\gloss@@wordt@k}}
}
\def\w@@@teaic{%
 \bgroup
 \ifquaderni
   \let\@issue\@empty
   \let\anthology\@gobble
   \let\erratum\@gobble
   \let\thanks\@gobble
   \def\@branch{QSF}
 \fi
 \immediate\write\@mainaic{\string\tocentry{\@vol}{\@issue}{\@branch}{\thepage}{\the\autht@k}{\the\titlet@k}}
\egroup
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% Counters
%
\newcounter{thanks@num}
\newcounter{inst@num}
\setcounter{thanks@num}{0}
\setcounter{inst@num}{0}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% headings
%
\global\def\@nullify{%
	  \let\section\@gobble
	  \let\subsection\@gobble
	  \let\subsubsection\@gobble
	  \let\title\@gobble
	  \let\author\@gobble
	  \let\institute\@gobble
	  \let\beginfigure\@gobble
          \let\includegraphics\@gobble
	  \let\caption\@gobble
}
\global\def\dr@p@rg#1\ETC{\let\thanks\@gobble
			  \let\footnote\@gobble
			  \gdef\dr@pp@d{#1}}
%
\def\dr@ph@@d#1#2{%
    \l@@kup{\ETC}{#1}
    \ifs@@rch
      \setbox\scratch@box=\vbox{\expandafter\dr@p@rg#1}
      \def#2{\dr@pp@d\ etc.}
    \else
    \fi
}

\newlength\belowreviewer
\setlength\belowreviewer{0\p@}
\let\@citatauth\@empty
\let\@dedic\@empty
\let\@anthology@\@empty
\let\@erratum@\@empty
\long\def\dedication#1{\gdef\@dedic{#1}}
\def\phrase#1#2{\gdef\@citatauth{#1}
	        \gdef\@citatphrs{#2}}

\newcommand\bookitem[4]{%
	\renewcommand\and{\mbox{\rm and\ }\ignorespaces}
	\if@@another@@
	  \itemsep -13\p@
	  \@@another@@false
        \else
	  \ifx\@reviewer\@empty
	  \else
              \vskip13pt\hfill
              \@reviewer
	      \ifdim\belowreviewer = 0\p@%
	      \else
	          \vspace*{\belowreviewer}%
		  \setlength\belowreviewer{0\p@}
              \fi
          \fi
	\fi
	\global\b@@kauthort@k={#1}
	\global\b@@ktitlet@k={#2}
	\global\b@@kreviewert@k={#4}
	\@bib@w@@@teaic
	\par
	\item{\leftskip\parindent {\sc #1} -- {\it #2}\enspace#3
		\vskip13\p@\par}
		\global\def\@reviewer{{\sc #4}}
          	\global\@@another@@false
		\itemsep\@bibit@mskip
}
\newcommand\glossitem[2][]{%
  \ifx#1\@empty
  \else
    \glossary{#1}
    \global\@isst@r@true
  \fi
  \@glossitem{#2}
}
\def\@glossitem#1{
    \setcounter{footnote}{0}
    \ifgl@ssfirst
    \else
      \vskip24pt
    \fi
    \global\gloss@@wordt@k={#1}
    \@gloss@w@@@teaic
    \par\noindent\textbf{#1.}
    \if@isst@r@
    \else
      \glossary{#1}
    \fi
    \global\@isst@r@false
    \global\gl@ssfirsttrue
    \leavevmode
}
\def\@wrglossary#1{%
   \protected@write\@glossaryfile{}%
      {\string\glossaryentry{#1}{\thepage}{\d@i}}%
 \endgroup
 \@esphack}
\def\glossref#1#2#3{%
  \def\d@iref{#2}
  \ifx\d@iref\d@i
    \hyperlink{page.#3}{\ensuremath{\to}~\bgroup\sffamily #1\egroup}%
  \else  
%\href{http://dx.doi.org/#2\#page.#3}{\ensuremath{\to}~\bgroup\sffamily #1\egroup}%  
   \href{http://paperseek.sif.it/#2\#page.#3}{(\ensuremath{\to}~{\sffamily#1})}%
\fi
}
\def\@bibfit{%
  \twocolumn[\vbox to\@bib@skip{\vfill}]
}
\def\@glossfit{%
%  \twocolumn[%
  \@twocolumnfalse
  \onecolumn%
    \vbox to\@glos@skip{\vfill}
    \par Questa rubrica si propone di stimolare la riflessione sul tipo di conoscenza prodotta dalla
    fisica e di porre in evidenza  termini e concetti che costituiscono
    punti nodali per l'apprendimento della disciplina. L'approccio
    storico-critico, cos\`\i\ come quello didattico, non hanno alcuna
    pretesa di essere esaustivi.\par
    \vbox to\@glos@skip{\vfill}
}
\newcommand\branch[1]{%
	\ifquaderni
         \def\@branch{#1}
          \ifthenelse{\equal{#1}{W}}{
 	   \global\def\@extbranch{%
 	    \uppercase{Quaderni di Storia della Fisica}}
  	    \global\@w@rkshoptrue
  	    \global\@twocolumnfalse
  	    \global\setlength\pres@ctskip{-21dd plus-13pt minus-5pt}
  	    \global\setlength\posts@ctskip{3\p@ \@plus 1\p@}}{} 
        \else
          \gdef\@branch{#1}
	  \ifthenelse{\equal{\@branch}{A}}{
	    \global\def\@extbranch{%
	       \uppercase{Antologia del Giornale di Fisica}}}{}
	  \ifthenelse{\equal{\@branch}{E}}{
	    \global\def\@extbranch{%
	       \uppercase{Errata}}
	       \global\@twocolumnfalse
	       \global\@rratumtrue}{}
	  \ifthenelse{\equal{#1}{W}}{
	     \global\def\@extbranch{%
	       \uppercase{Workshop}}
	       \global\@w@rkshoptrue
	       \global\@twocolumnfalse
	       \global\setlength\pres@ctskip{-21dd plus-13pt minus-5pt}
	       \global\setlength\posts@ctskip{3\p@ \@plus 1\p@}}{}
	  \ifthenelse{\equal{#1}{Ed}}{
	     \global\def\@extbranch{%
	       \MakeUppercase{Editoriale}}}{}
	  \ifthenelse{\equal{\@branch}{P}}{
	    \global\def\@extbranch{%
	       \uppercase{Problemi, esperimenti, proposte}}}{}
	  \ifthenelse{\equal{#1}{Os}}{
	    \global\def\@extbranch{%
               \MakeUppercase{Osservatorio}}}{}
	  \ifthenelse{\equal{#1}{I}}{
	    \global\def\@extbranch{%
               \MakeUppercase{Indici}}}{}
	  \ifthenelse{\equal{#1}{B}}{
	    \ifv@lindex
	    \else \def\@runtitle{In biblioteca}
	          \let\@runauthor\@runtitle
	    \fi
	    \@bib@true
	    \parskip\z@ \@plus .3\p@\relax
	    \global\def\@extbranch{%
	       \@nullify
	       \MakeUppercase{in Biblioteca}}}{}
	  \ifthenelse{\equal{#1}{G}}{
	    \ifv@lindex
	    \else \def\@runtitle{Glossario}
	          \let\@runauthor\@runtitle
	    \fi
	    \global\@glos@true
	    \parskip\z@ \@plus .3\p@\relax
	    \global\def\@extbranch{%
	       \@nullify
	       \MakeUppercase{Glossario}}}{}
	  \ifthenelse{\equal{#1}{O}}{%
	     \global\def\@extbranch{%
	       \MakeUppercase{Opinioni a Confronto}}}{}
	  \ifthenelse{\equal{#1}{C}}{%
	     \global\def\@extbranch{%
	       \MakeUppercase{in Copertina}}}{}
	\fi
}
%
\def\thanks#1{%
        \begingroup
	\hangindent=28\p@%
	\stepcounter{thanks@num}%
	\setcounter{@rgfootnote}{\value{footnote}}%
	\setcounter{footnote}{\value{thanks@num}}%
        \@makefnmark
	\setcounter{footnote}{\value{@rgfootnote}}%
	\push{thanks}{#1}%
	\endgroup
	\ignorespaces
}%
\def\anthology#1{%
	\gdef\@anthology@{#1}
}
\def\erratum#1{%
	\gdef\@erratum@{#1}
	
}
\gdef\email#1{%
	\unskip\ignorespaces
        E-mail: \textit{#1}
}
%

\def\shorttitle#1{\gdef\@shorttitle{#1}}
\def\@shorttitle{\hbox{\headsize
Running Title Suppressed: too long. Use shorttitle}}



\renewcommand\title[1]{%
        \ifx\@empty#1\else\@ch@cktitlfalse
	\global\titlet@k={#1}
	\global\def\@title{#1}%
        \global\let\@runtitle\@title
	\dr@ph@@d{\@title}{\@runtitle}
	\bgroup
	\let\footnote\@gobble
	\let\thanks\@gobble
        \global\setbox\trunhe@d=\hbox{\headsize\it\@runtitle}
	  \ifdim \wd\trunhe@d>\@runh@@d
	     \tit@etctrue
	     \typeout{^^JSIFrev Warning: Title too long for running head.}%
	     \typeout{Please supply a shorter form with \string\ETC
             \space inside the command \string\title or with \string\shorttitle}%
             \global\def\@runtitle{\hbox{\headsize\@shorttitle}}%
	  \fi
	\egroup
 	\fi
}
%
\def\rmvol{\ifx\@vol\@empty\else\Romannumeral\@vol\fi}

\newcommand\vol[1]{%
	\gdef\@vol{#1}
	\def\rmvol{\ifx\@vol\@empty\else\Romannumeral\@vol\fi}
}
\renewcommand\year[1]{\def\@year{#1}}

\newcommand\issue[1]{%
	\ifquaderni\gdef\@vol{#1}\fi
	\gdef\@issue{#1}
}
\renewcommand\month[1]{%
	\gdef\@month{#1}
}

\def\shortauthor#1{\gdef\@shortauthor{#1}}
\def\@shortauthor{\hbox{\headsize
Running Authors Suppressed: too long. Use shortauthor}}

\renewcommand\author[1]{%
	 \gdef\t@c@@author{#1}
	 \global\autht@k={#1}
	 \l@@kup{\inst}{#1}
	 \ifs@@rch\global\g@tinsttrue\else\global\g@tinstfalse\fi
	 \ifx\@empty#1\else\@ch@ckauthfalse
	    \gdef\@author{%
	    \let\and\auth@and
             #1}
	    \let\@runauthor\@author
	    \dr@ph@@d{\@author}{\@runauthor}
	    \bgroup
	    \let\thanks\@gobble
	    \let\footnote\@gobble
            \global\setbox\arunhe@d=\hbox{\headsize\it\@author}
	    \ifdim \wd\arunhe@d>\@runh@@d
	       \aut@etctrue
	       \typeout{^^JSIFrev Warning: Authors too long for running head.}%
	       \typeout{Please supply a shorter form with \string\ETC
               \space inside the command \string\author or with \string\shortauthor}%
               \global\def\@runauthor{\hbox{\headsize\@shortauthor}}%
	    \fi
	    \egroup
	 \fi
}
\newcommand\institute[1]{%
	\ifx\@empty#1\else	
           \split@rg{#1}{inst}
	   \gdef\@institute{#1}
        \fi
}
\newcommand\riassunto[1]{%
	\ifx\@empty#1\else	
	   \gdef\@riassunto{#1}
        \fi
}
\newcommand\abstract[1]{%
	\ifx\@empty#1\else	
	   \gdef\@abstract{#1}
        \fi
}
\def\gdf@evenhead{%
        \def\auth@and{%
        \unskip\ e \ignorespaces}
	\let\inst\@gobble
	\let\footnote\@gobble
        \let\thanks\@gobble
	\unskip\headsize
	\bgroup\bfseries\thepage\egroup
	\hfill\bgroup\it\@runauthor\egroup
}
\def\gdf@oddhead{%
        \def\auth@and{%
        \unskip\ e \ignorespaces}
	\let\inst\@gobble
	\let\footnote\@gobble
        \let\thanks\@gobble
	\unskip\headsize
	\bgroup\it\@runtitle\egroup
	\hfill
	\bgroup\bfseries\thepage\egroup}
\def\ps@plaingdf{%
     \setlength\headheight{10 pt}
     \let\@evenfoot\@empty
     \let\@oddfoot\@empty	
     \def\@evenhead{%
       \unskip\begingroup
	\def\\{\ \ignorespaces}%
        {\normalfont\normalsize\gdf@evenhead}%
       \endgroup}%
   \def\@oddhead{%
      \begingroup
      \def\\{\ \ignorespaces}%
      \hfil{\normalfont\normalsize\gdf@oddhead}%
      \endgroup}%
}
%
\def\ps@gdffirst{%
   \let\@evenfoot\@empty
   \let\@oddfoot\@empty
   \def\@evenhead{\ifodd\thepage\else\ClassError{SIFrev}{Found first page [\thepage] even!}{Probably a wrong page counter specification. The first page number of an article should always be odd (that is). Otherwise you'll lose the running head.}\fi}
   \def\@oddhead{%
       \ifx\d@i\@empty\else\makebox[0pt][l]{\raisebox{-2.7ex}{\headsize\sf DOI~\d@i}}\fi
       \headsize{\MakeUppercase{\@rev}%
      \hfill\ifquaderni N.~\@vol\ - \@year\else VOL.~\rmvol, N.~\@issue\hfill\@month\fi}%
       }%
}%
\def\ps@gdfbibfirst{%
   \addtolength\headheight{5pt}
   \let\@evenfoot\@empty
   \let\@oddfoot\@empty
   \def\@evenhead{\ifodd\thepage\else\ClassError{SIFrev}{Found first page [\thepage] even!}{Probably a wrong page counter specification. The first page number of an article should always be odd (that is). Otherwise you'll lose the running head.}\fi}
   \def\@oddhead{%
      \ifx\d@i\@empty\else\makebox[0pt][l]{\raisebox{-3ex}{\headsize\sf DOI~\d@i}}\fi
      \branchfont\@extbranch\hfill
      \hfill\fbox{\sf\bfseries\@branch}}
}%
\def\ps@gdfglossfirst{%
   \addtolength\headheight{5pt}
   \let\@evenfoot\@empty
   \let\@oddfoot\@empty
   \def\@evenhead{\ifodd\thepage\else\ClassError{SIFrev}{Found first page [\thepage] even!}{Probably a wrong page counter specification. The first page number of an article should always be odd (that is). Otherwise you'll lose the running head.}\fi}
   \def\@oddhead{%
      \ifx\d@i\@empty\else\makebox[0pt][l]{\raisebox{-3ex}{\headsize\sf DOI~\d@i}}\fi
      \hbox to\textwidth{\branchfont\@extbranch\hfill
      \hfill\fbox{\sf\bfseries\@branch}}}
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\testauth@inst{
          \ifg@tinst
	    \let\and\relax
            \let\auth@and\relax
            \vskip.8\titleskip
            \parbox{13cm}{\authorsize\@author}
          \else
            \def\auth@and{\unskip\ e \ignorespaces}
            \vskip0.2\titleskip
            \parbox{13cm}{\authorsize\@author}%
            \vskip1.4\authorskip
            \parbox{13cm}{\instsize\it\flush{inst}{\noindent\vskip1pt}}%
            \vskip\instituteskip
          \fi
}

\def\mkauth@inst{%
      \def\inst##1{%
         \gdef\@idx{\romannumeral##1}
         \par
         \bgroup\it\pick{inst}{\@idx}\egroup\vskip 6pt\par
         }
      \if@test@
	  \bgroup
	    \let\footnote\thanks
	    \let\thanks\@gobble
            \setbox\trunh@@db@x=\vbox{\hbox{\parbox{13cm}{\authorsize\@author}}}
	    \ifdim\ht\trunh@@db@x>46pt
	      \global\addtolength{\h@@db@x}{\ht\trunh@@db@x}
	      \global\addtolength{\h@@db@x}{-46pt}
	    \fi
	    \ifx\@abstract\@empty
	    \else
	      \global\@xpandh@@dtrue
	    \fi
	    \ifx\@riassunto\@empty
	    \else
	      \global\@xpandh@@dtrue
	    \fi
	    \if@xpandh@@d
              \setbox\tabsth@@db@x=\vbox{\ifbr@nch\bgroup\branchfont\@extbranch\hfill\fbox{\sf\bfseries\@branch}\vskip\branchskip\egroup\fi\hbox{\parbox{.95\textwidth}{\par\@riassunto\par\@abstract\par}}}
              \ifdim\ht\tabsth@@db@x>22pt
	        \global\addtolength{\h@@db@x}{\ht\tabsth@@db@x}
	        \global\addtolength{\h@@db@x}{-20pt}
		\ifbr@nch\global\addtolength{\h@@db@x}{-40pt}\fi

              \fi
              \ifdim\ht\tabsth@@db@x>80pt
  	        \global\addtolength{\h@@db@x}{\ht\tabsth@@db@x}
	        \global\addtolength{\h@@db@x}{-60pt}
              \fi
	      \setbox\tauthinsth@@db@x=\vbox{\testauth@inst}
              \ifdim\ht\tauthinsth@@db@x>30pt
  	        \global\addtolength{\h@@db@x}{\ht\tauthinsth@@db@x}
	        \global\addtolength{\h@@db@x}{-30pt}
              \fi
	      \if@twocolumn
	        \global\addtolength{\h@@db@x}{20pt}
	      \fi
	    \fi
	    \global\@test@false
	  \egroup
      \else
          \ifg@tinst
	    \let\and\relax
            \let\auth@and\relax
            \vskip.8\titleskip
            \parbox{13cm}{\authorsize\@author}
          \else
            \def\auth@and{\unskip\ e \ignorespaces}
            \vskip0.2\titleskip
            \parbox{13cm}{\authorsize\@author}%
            \vskip1.4\authorskip
            \parbox{13cm}{\instsize\it\flush{inst}{\noindent\vskip1pt}}%
            \vskip\instituteskip
          \fi
      \fi
}
\newcommand\maketitle{%
\if@bib@
  \@bibfit
\else
  \if@glos@
    \@glossfit
  \else
    \w@@@teaic
    \global\let\maketitle\@gobble
    \setcounter{@initpage}{\value{page}}
    \stepcounter{@initpage}
    \if@ch@cktitl\typeout{%
        SIFrev warning: Missing \string\title}
     \def\@title{A title should be given}
    \fi
    \if@ch@ckauth\typeout{%
        SIFrev warning: Missing \string\author}
     \def\@author{Name(s) and initial(s) of author(s) should be given}
    \fi
    \ifx\@vol\@empty\def\rmvol{{\rm (No vol.)}}
    \typeout{%
       SIFrev warning: Missing \string\vol}\fi
    \ifquaderni
      \ch@ckobl{year}{(no year)}
    \else
      \ifnsag
        \ch@ckobl{issue}{(No issue)}
        \ch@ckobl{month}{(No month, year)}
      \fi
    \fi
    \if@bib@
    \else
      \if@glos@
      \else
        \ch@ckobl{title}{A title should be given}
        \ch@ckobl{author}{Name(s) and initial(s) of author(s) should be given}
        \if@rratum\else
          \ch@ckobl{institute}{Address(es) of author(s) should be given}
        \fi
      \fi
    \fi
    \begingroup
    \def\@makefnmark{ \ensuremath{(^{\sifrev@headerfnmark})}}%
     \hbadness=\@M
     \global\@topnum\z@% Prevents figures from going at top of page.
     \let\footnote\thanks
       \@test@true
      \mkauth@inst
      \if@rratum
        \onecolumn%
	\vskip-30pt
	\renewenvironment{figure}{%
%	\gdf@tablecaptionfalse
	\setcounter{gdf@cnt@fig}{\thefigure}%
	\gdf@topfigsfalse
	\@float{figure}
}{%
	\end@float
}
	\renewenvironment{figure*}{%
	  %  \gdf@tablecaptionfalse
	  \setcounter{gdf@cnt@fig}{\thefigure}%
	  \gdf@multiplefiguresfalse
	  \gdf@topfigsfalse
	  \@dblfloat{figure}%
	}{%
	  \end@dblfloat
	}
        \flushleft
      \else
        \if@w@rkshop
	   \parindent0pt	   
           \global\@twocolumnfalse
           \onecolumn%
	   \renewenvironment{figure}{%
%	\gdf@tablecaptionfalse
	\setcounter{gdf@cnt@fig}{\thefigure}%
	\gdf@topfigsfalse
	\@float{figure}
}{%
	\end@float
}
	\renewenvironment{figure*}{%
	  %  \gdf@tablecaptionfalse
	  \setcounter{gdf@cnt@fig}{\thefigure}%
	  \gdf@multiplefiguresfalse
	  \gdf@topfigsfalse
	  \@dblfloat{figure}%
	}{%
	  \end@dblfloat
	}
        \else
            \twocolumn[%
	\fi
      \fi
        \vbox to\h@@db@x{%
         \bgroup
          \ifx\@branch\@empty
    	 \def\@branch{?}
    	 \def\@extbranch{Please specify a branch}
          \fi
          \ifbr@nch
            \branchfont\@extbranch
            \hfill\fbox{\sf\bfseries\@branch}
            \vskip\branchskip
          \fi
         \egroup%
         \parbox{13cm}{\titlefont\@title}%
         \if!\@anthology@!\else\par\vskip 4\p@
         \noindent{(\sffamily\@anthology@)}
         \fi
         \ifx\@erratum@\@empty\else\par\vskip 4\p@
         \noindent{(\sffamily\@erratum@)}
         \fi
         \noindent\mkauth@inst
         \if!\@dedic!\else                
             \vskip\dedic@skip\noindent
    	  \bgroup
                 \it
                 \begin{flushright}
    		 \@dedic
    	      \end{flushright}
             \egroup
         \fi
         \if!\@citatauth!\else                
             \vskip\dedic@skip\noindent
    	  \bgroup              
                 \begin{flushright}
    		 \textit{\@citatphrs}\par
    		 \textrm{(\@citatauth)}
    	      \end{flushright}
             \egroup
         \fi
	 \if@xpandh@@d
	   \vskip10\p@
	   \begin{center}
	   \begin{minipage}[c]{0.95\textwidth}
	 \fi
	 \ifx\@riassunto\@empty
	 \else
	   \par{\sffamily\bfseries Riassunto.}\ \@riassunto\par\vskip3\p@
	 \fi
	 \ifx\@abstract\@empty
	 \else
	   \par{\sffamily\bfseries Abstract.}\ \@abstract\par
	 \fi
	 \if@xpandh@@d
	   \end{minipage}
	   \end{center}
	 \fi
	 \vfill
      }%
    \vskip\optskip\null
    \if@rratum
    \else
      \if@w@rkshop
   	\null\vspace{-30pt}
      \else
	 ]%
      \fi
    \fi
    \flush{thanks}{\stepcounter{footnote}\footnotetext}
    \endgroup
    \setcounter{footnote}{0}
  \fi
\fi
\pagestyle{plaingdf}%
\if@bib@
   \thispagestyle{gdfbibfirst}
\else
  \if@glos@
     \thispagestyle{gdfglossfirst}
  \else
     \thispagestyle{gdffirst}
  \fi
\fi
}%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% Sections and Paragraph
%
%
\setcounter{secnumdepth}{3}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thesection {\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\setlength\@switch@s@ct{2dd plus 4pt minus 4pt}
\setlength\@switch@ss@ct{2dd plus 4pt minus 4pt} 
\gdef\@@switchv@id#1#2{%
	\def\@tmp@a{#2}
	\ifx\@tmp@a\@empty
	    \expandafter\global\csname nov@id#1false\endcsname
	\else
	    \expandafter\global\csname nov@id#1true\endcsname
	\fi
	\ifapp@ndix\expandafter\global\csname nov@id#1false\endcsname\fi
}
\newcommand\section{\@startsection {section}{1}{\z@}%
				   {\pres@ctskip}
                                   {\posts@ctskip}
                                   {\sectsize\ifapp@ndix\it\else\sffamily\bfseries\boldmath\fi}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
				     {13pt plus 3pt minus 6pt}
                       		     {\tw@\p@ \@plus \@ne\p@ \@minus \@ne\p@}
                                     {\subsectsize\ifapp@ndix\it\else\sffamily\bfseries\boldmath\fi}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
				     {-13dd plus-4pt minus-4pt}
				     {-5.5pt}
                                     {\subsubsectsize\ifapp@ndix\it\else\sffamily\fi}}
\def\@startsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty\addvspace\@tempskipa
  \fi
  \@ifstar
    {\@ssect{#3}{#4}{#5}{#6}}%
    {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}
\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
%  \ifdim \@tempskipa>\z@
   \@@switchv@id{s@ct}{#8}
   \ifnov@ids@ct
    \begingroup
      #6{%
        \@hangfrom{\hskip #3 \relax\@svsec}%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
    \let\@svsechd\@empty
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax\indent
      \@svsec #8\ifapp@ndix\enspace --\enspace\fi}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
   \ifnov@ids@ct
     \@xsect{#5}
   \else
     \@xsect{\z@}
   \fi
}
\def\@seccntformat#1{\csname the#1\endcsname.\quad}
\def\@hangfrom#1{\setbox\@tempboxa\hbox{#1}%
%      \hangindent
       \noindent\box\@tempboxa}
\def\@ssect#1#2#3#4#5{%
  \@tempskipa #3\relax
%  \ifdim \@tempskipa>\z@
   \@@switchv@id{s@ct}{#5}
   \ifnov@ids@ct
    \begingroup
      #4{%
        \@hangfrom{\hskip #1}%
          \interlinepenalty \@M #5\ifapp@ndix --\fi \@@par}%
    \endgroup
  \else
    \def\@svsechd{#4{\hskip #1\relax #5\ifapp@ndix\enspace --\enspace\fi}}%
  \fi
   \ifnov@ids@ct
     \@xsect{#3}
   \else
     \@xsect{\z@}
   \fi
}
\newif\if@afterindent \@afterindenttrue
\def\@afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty \@M
      \if@afterindent \else
        {\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
    \indent   %%% Added Indent after sections %%%
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%% Figures and Tables (aka floats)
%
\setcounter{topnumber}{2}
\renewcommand\topfraction{.9}
\setcounter{bottomnumber}{2}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{6}
\renewcommand\textfraction{.1}
\renewcommand\floatpagefraction{.85}
\setcounter{dbltopnumber}{3}
\renewcommand\dbltopfraction{.85}
\renewcommand\dblfloatpagefraction{.85}
\setlength\floatsep    {26\p@ \@plus 13\p@ \@minus 13\p@}
\setlength\textfloatsep{26\p@ \@plus 6\p@ \@minus 6\p@}
\setlength\intextsep   {13\p@ \@plus 13\p@ \@minus 2\p@}
\setlength\dblfloatsep    {26\p@ \@plus 13\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{26\p@ \@plus 20\p@ \@minus 16\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil} 
\setlength\@dblfpbot{0\p@ \@plus 1fil}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Rotated captions
\def\rotcaption{\refstepcounter\@captype\@dblarg{\@rotcaption\@captype}}
\long\def\@rotcaption#1[#2]#3{%
\addcontentsline{\csname ext@#1\endcsname}{#1}{%
 \protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
%  \par
  \begingroup
    \@parboxrestore
    \normalsize
    \hskip\abovecaptionskip
    \@makerotcaption{\csname fnum@#1\endcsname}{#3}%
  \endgroup}
\long\def\@makerotcaption#1#2{%
  \captionsize
 \setbox\@tempboxa\hbox{#1.\enspace\mbox{--}\enspace\ifistbl\itshape #2\else #2\fi}%
 \ifdim \wd\@tempboxa > .8\vsize
    \rotatebox{90}{%
    \begin{minipage}{%
	0.9\textheight}#1.\enspace\mbox{--}\enspace
		\ifistbl
	            \itshape #2
		\else 
                    #2\fi
    \end{minipage}%
    }\par
 \else%
    \rotatebox{90}{\box\@tempboxa}%
 \fi
 \hspace{12pt}%
}

\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
%
%%%%%%%%%%%%%%%%%%%% new multifloat macros
%
\newif\ifgdf@topfigs\gdf@topfigsfalse
\newif\ifgdf@multiplefigure\gdf@multiplefigurefalse
%
\newcommand{\topfigs}{\gdf@topfigstrue}
\newcounter{gdf@cnt@fig}
\setcounter{gdf@cnt@fig}{0}
\newcommand{\onefigure}[2][]{%
  \stepcounter{gdf@cnt@fig}%
  \hbox to\hsize{\hfill\includegraphics*[#1]{#2}\hfill}%
}
\newcommand{\twofigures}[3][]{%
  \hbox to\hsize{%
    \vbox{%
       \hbox{\includegraphics*[#1]{#2}}%
       \stepcounter{gdf@cnt@fig}%
       \hbox{\small\figurename\ \thegdf@cnt@fig}%
    }%
    \hfill
    \vbox{%
       \hbox{\includegraphics*[#1]{#3}}%
       \stepcounter{gdf@cnt@fig}%
       \hbox{\small\figurename\ \thegdf@cnt@fig}}%
    \hfill
  }%
}
\newcommand{\threefigures}[4][]{%
  \hbox to\hsize{%
    \vbox{%
       \hbox{\includegraphics*[#1]{#2}}%
       \stepcounter{gdf@cnt@fig}%
       \hbox{\small\figurename\ \thegdf@cnt@fig}%
    }%
    \hfill
    \vbox{%
       \hbox{\includegraphics*[#1]{#3}}%
       \stepcounter{gdf@cnt@fig}%
       \hbox{\small\figurename\ \thegdf@cnt@fig}}%
    \hfill
    \vbox{%
       \hbox{\includegraphics*[#1]{#4}}%
       \stepcounter{gdf@cnt@fig}%
       \hbox{\small\figurename\ \thegdf@cnt@fig}}%
    \hfill
  }%
}
\newcommand{\oneimage}[2][]{
  \ifgdf@multiplefigure\else\stepcounter{gdf@cnt@fig}\fi
  \hbox to\hsize{%
    \hbox{\includegraphics*[#1]{#2}}\hfill
  }%
  \gdf@multiplefiguretrue
}
\newcommand{\twoimages}[3][]{
  \ifgdf@multiplefigure\else\stepcounter{gdf@cnt@fig}\fi
  \hbox to\hsize{%
    \hbox{\includegraphics*[#1]{#2}}\hfill
    \hbox{\includegraphics*[#1]{#3}}\hfill
  }%
  \gdf@multiplefiguretrue
}
\newcommand{\threeimages}[4][]{
  \ifgdf@multiplefigure\else\stepcounter{gdf@cnt@fig}\fi
  \hbox to\hsize{%
    \hbox{\includegraphics*[#1]{#2}}\hfill
    \hbox{\includegraphics*[#1]{#3}}\hfill
    \hbox{\includegraphics*[#1]{#4}}\hfill
  }%
  \gdf@multiplefiguretrue
}
\newcommand{\fourimages}[5][]{
  \ifgdf@multiplefigure\else\stepcounter{gdf@cnt@fig}\fi
  \hbox to\hsize{%
    \hbox{\includegraphics*[#1]{#2}}\hfill
    \hbox{\includegraphics*[#1]{#3}}\hfill
    \hbox{\includegraphics*[#1]{#4}}\hfill
    \hbox{\includegraphics*[#1]{#5}}\hfill
  }%
  \gdf@multiplefiguretrue
}
%
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% needed by floatequation
\def\@comdblflelt#1{\setbox\@tempboxa
      \vbox{\unvbox\@tempboxa\box #1\ifflteqn\else\vskip\dblfloatsep\fi}}
\def \@combinedblfloats{%
  \ifx \@dbltoplist \@empty
  \else
    \setbox\@tempboxa \vbox{}%
    \let \@elt \@comdblflelt
    \@dbltoplist
    \let \@elt \relax
    \xdef \@freelist {\@freelist\@dbltoplist}%
    \global\let \@dbltoplist \@empty
    \setbox\@outputbox \vbox to\textheight
      {%\boxmaxdepth\maxdepth   %% probably not needed, CAR
       \unvbox\@tempboxa\vskip-\dblfloatsep
       \ifnum \@dbltopnum>\m@ne
         \dblfigrule
       \fi
       \ifflteqn\global\flteqnfalse
       \else
          \vskip \dbltextfloatsep
       \fi
       \box\@outputbox
       }%
  \fi
}
\def\@addtodblcol{%
  \begingroup
   \@insertfalse
   \@setfloattypecounts
   \@getfpsbit \tw@
   \ifodd\@tempcnta
     \@flsetnum \@dbltopnum
     \ifnum \@dbltopnum>\z@
       \@tempswafalse
       \ifdim \@dbltoproom>\ht\@currbox
         \@tempswatrue
       \else
         \ifnum \@fpstype<\sixt@@n
           \advance \@dbltoproom \@textmin
           \ifdim \@dbltoproom>\ht\@currbox
             \@tempswatrue
           \fi
           \advance \@dbltoproom -\@textmin
         \fi
       \fi
       \if@tempswa
           \@bitor \@currtype \@dbldeferlist
           \if@test
           \else
              \@tempdima -\ht\@currbox
              \advance\@tempdima
                -\ifx \@dbltoplist\@empty
                    \ifflteqn
	               0pt
                    \else
                       \dbltextfloatsep
                    \fi  
                 \else
                    \dblfloatsep
                 \fi
              \global \advance \@dbltoproom \@tempdima
              \global \advance \@colht \@tempdima
              \global \advance \@dbltopnum \m@ne
              \@cons \@dbltoplist \@currbox
              \@inserttrue
           \fi
       \fi
     \fi
   \fi
   \if@insert
   \else
     \@cons\@dbldeferlist\@currbox
   \fi
  \endgroup
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcounter{table}
\renewcommand\thetable{\Roman{table}}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\bgroup\scshape \tablename\egroup~\thetable\global\istbltrue}
\newenvironment{table}
               {\@float{table}}%
               {\end@float}%
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{4\p@ \@plus 13\p@ \@minus 3\p@}
\setlength\belowcaptionskip{4\p@ \@plus 13\p@ \@minus 3\p@}
\def\caption{\refstepcounter\@captype \@dblarg{\@caption\@captype}}
\long\def\@caption#1[#2]#3{%
  \def\try{#2}
  \ifx\try\@empty\global\nov@idc@ptfalse\fi
  \par
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \normalsize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}
\long\def\@makecaption#1#2{%
  \captionsize
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1.\enspace\mbox{--}\enspace #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1.\ifnov@idc@pt\enspace\mbox{--}\enspace\else\global\nov@idc@pttrue\fi
	\ifistbl\itshape #2\else #2\fi\par
  \else
    \global \@minipagefalse
    \sbox\@tempboxa{#1.\ifnov@idc@pt\enspace\mbox{--}\enspace\else\global\nov@idc@pttrue\fi
	\ifistbl\itshape #2
	\else #2
	\fi\par}
    \hb@xt@\hsize{\box\@tempboxa\hfill}
  \fi
  \ifistbl
     \vskip\belowcaptionskip
  \fi
  \global\istblfalse
}
\setlength\arraycolsep{1.5\p@}
\setlength\tabcolsep{6\p@}
\setlength\doublerulesep{2\p@}
\renewcommand\arraystretch{1.15}
\def\hline{%
  \noalign{\ifnum0=`}\fi  \global\advance\@hlinenum\@ne
   \hrule \@height \arrayrulewidth 
 \ifnum\@hlinenum<\tw@
	\vskip\doublerulesep
   \hrule \@height \arrayrulewidth 
 \fi
 \futurelet \reserved@a\@xhline
}
\def\@xhline{\ifx\reserved@a\hline
               \vskip\doublerulesep
               \vskip-\arrayrulewidth
             \fi
      \ifnum0=`{\fi}}
\def\vline{\vrule \@width \arrayrulewidth}
\def\cline#1{\@cline#1\@nil}
\def\@cline#1-#2\@nil{%
  \omit
  \@multicnt#1%
  \advance\@multispan\m@ne
  \ifnum\@multicnt=\@ne\@firstofone{&\omit}\fi
  \@multicnt#2%
  \advance\@multicnt-#1%
  \advance\@multispan\@ne
  \leaders\hrule\@height\arrayrulewidth\hfill
  \cr
  \noalign{\vskip-\arrayrulewidth}}
\def\tabular{\let\theorg@footnote\thefootnote
	     \renewcommand{\thefootnote}{\thempfootnote}
             \begin{minipage}{\linewidth}\centering\let\@halignto\@empty\@tabular}
\def\endtabular{\crcr\egroup\egroup $\egroup\end{minipage}
                \renewcommand{\thefootnote}{\theorg@footnote}}
\def\@tabular{\@hlinenum=0 \leavevmode \hbox \bgroup\tablesize $\let\@acol\@tabacol
   \let\@classz\@tabclassz
   \let\@classiv\@tabclassiv \let\\\@tabularcr\@tabarray}
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Bibliography
%
%
%
\def\@biblabel#1{{\subsectsize [}{\bibsize #1}{\subsectsize]}}
\def\@lbibitem[#1]#2{\item[{[#1]}\hfill]\if@filesw
      {\let\protect\noexpand
       \immediate
       \write\@auxout{\string\bibcite{#2}{#1}}}\fi\ignorespaces}
\newcommand\name[1]{\textsc{#1},}
\newcommand\rev[4]{\textit{#1}, \textbf{#2} (#4) #3.}
\newcommand\book[1]{\textit{#1}}
\newcommand\Year[1]{(#1)}
\newcommand\Pub[2]{(#1) #2.}
\newenvironment{thebibliography}[1]{%
	\global\app@ndixfalse
	\renewcommand\and{\unskip\mbox{\rm and\ }\ignorespaces}
        \def\editor{\/ \mbox{\rm\unskip (Ed.) \ignorespaces}}
        \def\editors{\/ \mbox{\rm\unskip (Eds.) \ignorespaces}}
        \newcommand\e{\unskip\mbox{ \rm e\ }\ignorespaces}	
	\section*{\subsectsize\bibname
        \@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}
	\bibsize}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\newcommand\suggested{\let\@biblabel\@gobble\section*{\subsectsize\sugname\@mkboth{\MakeUppercase\sugname}{\MakeUppercase\sugname}}%
}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\indexname}{\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Appendix
%
\def\appendix{\par
  \section*{\appendixname}
  \par
  \global\app@ndixtrue
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \setcounter{equation}{0}
  \gdef\thesection{{\sffamily\bfseries\@Alph\c@section}}
  \addtolength{\eqnllb@rder}{-10\p@}
  \gdef\theequation{\@Alph\c@section.\arabic{equation}}

}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Equations
%
%%%%%%%%%%%%%%%%%%%%%
% floating equations
%
\newcounter{sifrev@eqtmp}
\newenvironment{eqnumber}[1]{%
  \setcounter{sifrev@eqtmp}{\value{equation}}%
  \setcounter{equation}{#1}%
  \addtocounter{equation}{-1}%
}{%
  \setcounter{equation}{\value{sifrev@eqtmp}}\par
}
\def\eqspec#1{\gdef\@eqspec{#1}}
\def\@@eqspec#1{%
  \vskip\abovedisplayskip
  \noindent\hfill (#1)\hfill\null
  \vskip\belowdisplayskip
}
\newenvironment{floatequation}{%
    \newcommand\ruled{\global\rul@dtrue}
    \global\flteqntrue
    \begin{figure*}[t]
      \begin{eqnarray}
}{
      \end{eqnarray}
      \aftergroup\ignorespaces
    \ifrul@d\rule{\textwidth}{\arrayrulewidth}\global\rul@dfalse\fi
    \end{figure*}
    \ifx\@eqspec\@empty
      \@@eqspec{Missing floatequation reference}\ClassError{SIFrev}{Found \string\floatequation\space without corresponding reference^^J\string\eqspec}{Please specify a reference for the foating equation (like: \string\eqspec{see above}).Remember to use the command \string\ruled\space in order to separate the floatequation properly.}
    \else
      \@@eqspec{\@eqspec}\global\let\@eqspec\@empty
    \fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  Left numbered equations
%
\renewcommand\@eqnnum{\hskip\eqnllb@rder
                      \rlap{\normalfont\normalcolor
                        \hskip -\displaywidth(\theequation)}}
\abovedisplayskip=13pt plus 6pt minus 6pt
\abovedisplayshortskip=0pt plus 6pt
\belowdisplayskip=13pt plus 6pt minus 6pt
\belowdisplayshortskip=7pt plus 6pt minus 4pt
\displaywidowpenalty\@highpenalty
\postdisplaypenalty\@highpenalty
\interdisplaylinepenalty\@highpenalty

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Acknowledgement
%
%  
%
\let\acknowledgment\acknowledgement
\let\endacknowledgment\endacknowledgement
\def\acknowledgement{\par\addvspace{17pt}\centerline{* * *}\nopagebreak\par}
\def\endacknowledgement{\par\addvspace{6pt}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Environments
%
%
%
\newenvironment{bookreview}{%
		\def\another{\global\@@another@@true}
		\let\\\@centercr
                \list{}{\itemsep \@bibit@mskip 
                        \itemindent -\parindent%
			\leftmargin\z@
                        \listparindent\parindent
                        \rightmargin  \z@}}
               {\ifx\@reviewer\@empty
		\else
                    \par\vskip13pt\hfill
                         \@reviewer
                    \vskip26pt
                \fi
                \endlist}
\newenvironment{verse}{\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\it\listparindent 1.5em%
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\def\omissis{\mbox{\rm [\kern-1pt...\kern-1pt]}\kern2pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\pagenumbering{arabic}
\let\footnotemark\@gobble
\let\footnoterule\relax
\flushbottom
\setlength\leftmargini  {\parindent}
\leftmargin  \leftmargini
\setlength\leftmarginii {\parindent}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\setlength\leftmarginv  {.5em}
\setlength\leftmarginvi {.5em}
\renewcommand{\theenumi}{\arabic{enumi}}
\renewcommand{\theenumii}{\alph{enumii}}
\renewcommand{\theenumiii}{\roman{enumiii}}
\renewcommand{\theenumiv}{\Alph{enumiv}}
\newcommand{\labelenumi}{\theenumi)}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}
\newcommand{\labelitemi}{$\m@th\bullet$}
\newcommand{\labelitemii}{\normalfont\bfseries --}
\newcommand{\labelitemiii}{$\m@th\ast$}
\newcommand{\labelitemiv}{$\m@th\cdot$}
\AtBeginDocument{
\global\@@bypassrefs@@true
\newcommand{\jr}{{\upshape jr.}}
\newcommand{\drm}{\mathrm{d}}
\newcommand\etal{\textit{et al.\/}}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\figurename{Fig.}
\if@lang@en
  \renewcommand\contentsname{Summary}
  \def\sugname{Suggested readings}
  \renewcommand\bibname{References}
\else
  \renewcommand\listfigurename{Lista delle Figure}
  \renewcommand\listtablename{Lista della Tabelle}
  \renewcommand\indexname{Indice}
  \renewcommand\abstractname{Abstract}
  \renewcommand\contentsname{Sommario}
  \def\sugname{Letture consigliate}
\fi
\widowpenalty\@M
\clubpenalty \@M
\@secpenalty \@highpenalty
\@beginparpenalty-\@lowpenalty
\@endparpenalty-\@lowpenalty
\@itempenalty-\@lowpenalty
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%end sifrev.cls
%%
